/* styles */
/* called by your view template */

/* You might want to try something fancier: */
/* less: http://lesscss.org/ */

* {
  box-sizing: border-box;
}

body {
  font-family: helvetica, arial, sans-serif;
  margin: 25px;
  background-color:#666;
}

h1 {
  font-weight: bold;
  color: pink;
}

.bold {
  font-weight: bold;
}

p {
  max-width: 600px;
}

form {
  margin-bottom: 25px;
  padding: 15px;
  background-color: cyan;
  display: inline-block;
  width: 100%;
  max-width: 340px;
  border-radius: 3px;
}

input {
  display: block;
  margin-bottom: 10px;
  padding: 5px;
  width: 100%;
  border: 1px solid lightgrey;
  border-radius: 3px;
  font-size: 16px;
}

button {
  font-size: 16px;
  border-radius: 3px;
  background-color: lightgrey;
  border: 1px solid grey;
  box-shadow: 2px 2px teal;
  cursor: pointer;
}

button:hover {
  background-color: yellow;
}

button:active {
  box-shadow: none;
}


canvas, #loading, img{
  position: fixed;
  width : 100%;
  height: 100%;
  margin: 0;
  left : 0;
  top : 0;
  padding: 0;
}

#loading{
  text-align: center;
  padding-top: calc(50vh - 1em);
  background-color: #000;
  color : #fff;
  z-index: 10000;
}

#card-info{
  position: fixed;
  z-index: 10000;
  color: #eee;
  background-color: #0004;
  height: 4em;
  white-space: pre-wrap;
  width: 100%;
  bottom: 0;
  pointer-events: none;
  user-select: none;
}